// (c) MIT 2003.  All rights reserved.

// -*-Mode: Java-*- 
// $Id: WPulleyWheel.java,v 1.2 2003/03/06 00:40:41 moltmans Exp $
// WPulleyWheel.java -- 
// Author: Michael Oltmans <moltmans@ai.mit.edu> 
// Maintainer: Michael Oltmans <moltmans@ai.mit.edu> 
// Copyright: Copyright (C) 1999 by Michael Oltmans 
// Created: <Fri Oct 15 17:57:49 1999> 
// Time-stamp: <2000-04-22 18:39:08 moltmans> 
// Keywords: 
package rec.meche;

import java.awt.*;
import rec.geo.*;
import rec.sys.*;

public class WPulleyWheel extends WPart
{
  public WPulleyWheel( GCircle circle )
  {
    super( circle.getCenter(), 0, circle.getRadius(), null );
  }


  public Object clone()
  {
    return( new WPulleyWheel( new GCircle( getCenter(), size() ) ) );
  }

  protected GShape[] create( double size, Cloneable data )
  {
    GShape[] shapes = new GShape[2];

    shapes[0] = new GCircle( GPoint.ORIGIN, size );
    shapes[1] = new GCircle( GPoint.ORIGIN, size / 5.0 );

    return( shapes );
  }

  public GCircle getCircle() 
  {
    return new GCircle( getCenter(), size() );
  }

//    public void draw( Graphics g )
//    {
//      if ( getColor() == null )
//        g.setColor( Colors.getColor( "sim_constraint" ) );
//      else
//        g.setColor( getColor() );
//      super.draw( g );
//    }
    
}
